package com.smardec.demo.regviewer;

import com.smardec.j2native.AnsiString;
import com.smardec.j2native.PointerArgument;

import javax.swing.tree.DefaultMutableTreeNode;

public class RegNode extends DefaultMutableTreeNode{
    private AnsiString name;
    private boolean twoLevelLoaded;
    private PointerArgument hKey;

    public RegNode(AnsiString name){
        this.name = name;
    }

    public RegNode(AnsiString name, PointerArgument hKey){
        this.name = name;
        this.hKey = hKey;
    }

    public AnsiString getName(){
        return name;
    }

    public boolean isTwoLevelLoaded(){
        return twoLevelLoaded;
    }

    public void setTwoLevelLoaded(boolean twoLevelLoaded){
        this.twoLevelLoaded = twoLevelLoaded;
    }

    public PointerArgument getHKey(){
        return hKey;
    }

    public String toString(){
        return getName().toString();
    }
}
